using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_MoBan_DongTaiWenJianDaiMa_ShanChu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("删除动态文件代码", "网站后台", "删除动态文件代码", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        String[] IDS = Request.QueryString["ID"].Split(new char[] { ',' }, StringSplitOptions.RemoveEmptyEntries);

        SqlCommand 语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "模板_动态文件代码] WHERE [ID]=@ID", 访问.连接);
        for (int i = 0; i < IDS.Length; i++)
        {
            语句.Parameters.Add("@ID", SqlDbType.Int).Value = Convert.ToInt32(IDS[i]);
            语句.ExecuteNonQuery();
        }

        Response.Redirect(Request.QueryString["rurl"]);
    }
}
